Subject: Re: MCI COMPLAINT || Order#100141912|| NAQEL-Road::70806892
From: Amani Bani Odeh <[email-masked]>
To: Hussain Firoz Miyagamwala <[email-masked]>, Zubair Wahid <[email-masked]>
Cc: customer care <[email-masked]>, "Farrah A." <[email-masked]>
Date: Fri, 12 Jun 2020 15:22:19 +0300
List-Id: <ccteam.mumzworld.com>

Dears,

The order has been updated to be retuern to the origin , This is MCI case
needs to be solved today, new order placed 100158629 as the customer was
asking to receive it.

Hussain,
Please update the CRA for 100141912.

Thanks,
Amani

On Tue, Jun 9, 2020 at 6:33 PM Farrah A. <[email-masked]> wrote:

> Hello,
>
> Please update us on the status, why is the order returned?
>
> thanks
>
>